<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Super Calculator</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 500px;
            height: 200px;
            background: lightskyblue;
            grid-auto-columns: 100px;
            grid-auto-rows: 50px;
            display: grid;
            grid-template-areas:
                "number1Label number1Label number1 number1 number1"
                "number2Label number2Label number2 number2 number2"
                "plus minus mult divide clear"
                "result result result result result";
            margin: 10px;
            padding: 10px;
            border-radius: 5px;
        }

        .container div {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #number1Label {
            grid-area: number1Label;
        }

        #number1 {
            grid-area: number1;
        }

        #number2Label {
            grid-area: number2Label;
        }

        #number2 {
            grid-area: number2;
        }

        #plus {
            grid-area: plus;
        }

        #minus {
            grid-area: minus;
        }

        #mult {
            grid-area: mult;
        }

        #divide {
            grid-area: divide;
        }

        #clear {
            grid-area: clear;
        }

        #result {
            grid-area: result;
        }

        .cal-button {
            border: 1px solid darkblue;
            border-radius: 3px;
            margin: 2px;
            transition: 1s;
        }

        .cal-button:hover {
            background: darkblue;
            cursor: pointer;
            color: white;
        }
    </style>
</head>

<body>
    <div class="container">
        <div id="number1Label">Number 1:</div>
        <input type="number" id="number1">
        <div id="number2Label">Number 2:</div>
        <input type="number" id="number2">
        <div id="plus" class="cal-button" onclick="doAdd()">+</div>
        <div id="minus" class="cal-button" onclick="doSubtract()">-</div>
        <div id="mult" class="cal-button" onclick="doMultiply()">X</div>
        <div id="divide" class="cal-button" onclick="doDivide()">/</div>
        <div id="clear" class="cal-button" onclick="doClear()">C</div>
        <div id="result"></div>
    </div>
    <script>
        function doAdd() {
            const n1 = document.querySelector('#number1').value;
            const n2 = document.querySelector('#number2').value;
            const sum = parseInt(n1) + parseInt(n2);
            document.querySelector('#result').innerHTML = sum;
        }

        function doSubtract() {
            const n1 = document.querySelector('#number1').value;
            const n2 = document.querySelector('#number2').value;
            const sum = parseInt(n1) - parseInt(n2);
            document.querySelector('#result').innerHTML = sum;
        }

        function doMultiply() {
            const n1 = document.querySelector('#number1').value;
            const n2 = document.querySelector('#number2').value;
            const sum = parseInt(n1) * parseInt(n2);
            document.querySelector('#result').innerHTML = sum;
        }

        function doDivide() {
            const n1 = document.querySelector('#number1').value;
            const n2 = document.querySelector('#number2').value;
            const sum = parseInt(n1) / parseInt(n2);
            document.querySelector('#result').innerHTML = sum;
        }

        function doClear() {
            document.querySelector('#number1').value = '';
            document.querySelector('#number2').value = '';
            document.querySelector('#result').innerHTML = '';
        }
    </script>
</body>

</html>